package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolStairAdditemRequest struct {
	/*
	   系统自动生成     */
	Param0 *domain.AlibabaHmMarketingItempoolStairAdditemItemPoolSku `json:"param0,omitempty" required:"false" `
	/*
	   系统自动生成     */
	Param1 *domain.AlibabaHmMarketingItempoolStairAdditemCommonActivityParam `json:"param1,omitempty" required:"false" `
}

func (s *AlibabaHmMarketingItempoolStairAdditemRequest) SetParam0(v domain.AlibabaHmMarketingItempoolStairAdditemItemPoolSku) *AlibabaHmMarketingItempoolStairAdditemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairAdditemRequest) SetParam1(v domain.AlibabaHmMarketingItempoolStairAdditemCommonActivityParam) *AlibabaHmMarketingItempoolStairAdditemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingItempoolStairAdditemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolStairAdditemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
